> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List number block orders

> Get a paginated list of number block orders.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/ordering.yml get /number_block_orders
openapi: 3.1.0
info:
  title: Telnyx Phone Number Ordering API
  version: 2.0.0
  description: API for ordering phone numbers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /number_block_orders:
    get:
      tags:
        - Phone Number Block Orders
      summary: List number block orders
      description: Get a paginated list of number block orders.
      operationId: ListNumberBlockOrders
      parameters:
        - $ref: '#/components/parameters/numbers_PageConsolidated'
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[status], filter[created_at],
            filter[phone_numbers.starting_number]
          schema:
            type: object
            properties:
              status:
                type: string
                example: pending
                description: Filter number block orders by status.
              created_at:
                type: object
                description: Filter number block orders by date range.
                properties:
                  gt:
                    type: string
                    example: '2018-01-01T00:00:00.000000Z'
                    description: Filter number block orders later than this value.
                  lt:
                    type: string
                    example: '2018-01-01T00:00:00.000000Z'
                    description: Filter number block orders earlier than this value.
                additionalProperties: false
              phone_numbers.starting_number:
                type: string
                example: '+19705555000'
                description: Filter number block  orders having these phone numbers.
      responses:
        '200':
          $ref: '#/components/responses/ListNumberBlockOrdersResponse'
        '400':
          $ref: '#/components/responses/numbers_BadRequestResponse'
        '401':
          $ref: '#/components/responses/numbers_UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/numbers_NotFoundResponse'
        '422':
          $ref: '#/components/responses/numbers_UnprocessableEntity'
        '500':
          $ref: '#/components/responses/numbers_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const numberBlockOrder of
            client.numberBlockOrders.list()) {
              console.log(numberBlockOrder.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.number_block_orders.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.NumberBlockOrders.List(context.TODO(), telnyx.NumberBlockOrderListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.numberblockorders.NumberBlockOrderListPage;

            import
            com.telnyx.sdk.models.numberblockorders.NumberBlockOrderListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    NumberBlockOrderListPage page = client.numberBlockOrders().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.number_block_orders.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx number-block-orders list \
              --api-key 'My API Key'
components:
  parameters:
    numbers_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListNumberBlockOrdersResponse:
      description: Successful response with a list of number block orders.
      content:
        application/json:
          schema:
            type: object
            title: List Number Block Orders Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/NumberBlockOrder'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    numbers_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    numbers_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
  schemas:
    NumberBlockOrder:
      properties:
        id:
          type: string
          format: uuid
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          readOnly: true
        record_type:
          type: string
          example: number_block_order
          readOnly: true
        starting_number:
          type: string
          description: Starting phone number block
          example: '+19705555000'
        range:
          type: integer
          description: The phone number range included in the block.
          example: 10
        phone_numbers_count:
          type: integer
          description: The count of phone numbers in the number order.
          example: 1
          readOnly: true
        connection_id:
          type: string
          example: '346789098765567'
          description: >-
            Identifies the connection associated to all numbers in the phone
            number block.
        messaging_profile_id:
          type: string
          example: abc85f64-5717-4562-b3fc-2c9600
          description: >-
            Identifies the messaging profile associated to all numbers in the
            phone number block.
        status:
          type: string
          enum:
            - pending
            - success
            - failure
          example: success
          description: The status of the order.
          readOnly: true
        customer_reference:
          type: string
          description: A customer reference string for customer look ups.
          example: MY REF 001
        created_at:
          type: string
          format: date-time
          description: >-
            An ISO 8901 datetime string denoting when the number order was
            created.
          example: '2018-01-01T00:00:00.000000Z'
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: An ISO 8901 datetime string for when the number order was updated.
          example: '2018-01-01T00:00:00.000000Z'
          readOnly: true
        requirements_met:
          type: boolean
          description: >-
            True if all requirements are met for every phone number, false
            otherwise.
          example: true
          readOnly: true
      example:
        id: 12ade33a-21c0-473b-b055-b3c836e1c292
        starting_number: '+19705555000'
        range: 10
        record_type: number_block_order
        connection_id: '346789098765567'
        messaging_profile_id: abc85f64-5717-4562-b3fc-2c9600
        phone_numbers_count: 10
        status: pending
        customer_reference: MY REF 001
        created_at: '2018-01-01T00:00:00.000000Z'
        updated_at: '2018-01-01T00:00:00.000000Z'
        requirements_met: true
      type: object
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    numbers_Error:
      properties:
        code:
          type: string
          example: '10007'
        title:
          type: string
          example: Unexpected error
        detail:
          type: string
          example: An unexpected error occured.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /base
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````